<?php
/*
автор скрипта duo он же dev
ася 452895309
*/
session_start();
include "../head.php";
include "../conect.php";
include "../conf_ini.php";


   /*
$query_news="SELECT *FROM `news` ORDER by `id` DESC LIMIT 1 ";
$result_news=mysql_query($query_news) or die ("ошибка при выполнении запроса");
$row_news=mysql_fetch_array($result_news);
        */
$error = "";
$action = $HTTP_POST_VARS["action"];
   if(isset($_SESSION['id'],$_SESSION['pass']))
{
      echo"<div class=\"iblock\">";
      echo"<b>".$logo."</b>|Мои файлы";
      echo"</div>";







if (!empty($action))
 {
  $file=$_FILES['file'];
  $scr=$_FILES['screen'];
  $opis=trim(mysql_real_escape_string($_POST['opis']));
  $opis = substr($HTTP_POST_VARS["opis"],0,4000);



   if(!empty($file['tmp_name']))
    {
       if(!empty($scr['tmp_name']))
       {

       $scr_name=$scr['name'];
       $scr_size=$scr['size'];
       $scr_type=$scr['type'];

        if($scr_type!='image/jpg'&&$scr_type!='image/gif'&&$scr_type!='image/png')
        {
          $action="";
	     $error=$error."<LI>Формат данного скриншота не поддерживается!\n";
         }

         if($scr_size>30720)
         {
           $action="";
	       $error=$error."<LI>Размер скриншота слишком бальшой!\n";
         }

         if(!empty($scr_name))
         {
          if (!preg_match("/^[a-zA-Z0-9 \.\_\-]+$/i", $scr_name))
          {
           $action = "";
           $error = $error."<LI>Недопустимые символы в имени скриншота \n";
          }
         }
       }
      $path_parts=pathinfo($file['name']);
      $type= $path_parts["extension"];
      $size=$file['size'];
      $name=$file['name'];


         if($type=='jpg' or $type=='gif' or $type=='png')
         {
        	$tip=1;
          }
         elseif($type=='3gp' or $type=='avi')
         {
         $tip=2;
         }
         elseif($type=='nth' or $type=='thm' or $type=='hme' or $type=='sdt')
         {
         $tip=3;
         }
         elseif($type=='jar')
         {
         $tip=4;
         }
         else
         {
         $action="";
	     $error=$error."<LI>Формат данного файла не поддерживается!\n";
         }

      if($size>2097152)
       {
   	    $action="";
	    $error=$error."<LI>Файл слишком бальшой!\n";
       }



     if(!empty($name))
        {
        if (!preg_match("/^[a-zA-Z0-9 \.\_\-]+$/i", $name))
        {
          $action = "";
          $error = $error."<LI>Недопустимые символы в имени файла \n";
        }
       }


    }
    else
    {

	$action="";
	$error=$error."<LI>А где файл?\n";

    }







    if (empty($error)) // если ошибок нет, обрабатываем сообщение
   {

     echo"<div class=\"ib\">";
     $put="/user/file/".$_SESSION['id']."";
     $screen="/user/file/screen/".$_SESSION['id']."/".$name.".gif";

    $query="INSERT INTO `user_files` (name,put,size,id_user,tip,opis) VALUES ('".$name."','".$put."','".$size."','".$_SESSION['id']."','".$tip."','".$opis."')";
    $result=mysql_query($query) or die ("ошибка при выполнении запроса");

     //загружаем скриншот

      @$dir=opendir("file/".$_SESSION['id']."");
      if(!$dir)
      {
      mkdir("file/".$_SESSION['id']."", 0777);
      }
       if(@copy($file['tmp_name'],"file/".$_SESSION['id']."/".$name.""))
      {
  	   echo"Ваш файл успешно загружен <br />";

  	  }
	  else
      {
      echo"Ошибка";
      }

     if(!empty($scr['tmp_name']))
     {

     @$dir=opendir("file/screen/".$_SESSION['id']."");
     if(!$dir)
      {
      mkdir("file/screen/".$_SESSION['id']."", 0777);
      }
       if(@copy($scr['tmp_name'],"file/screen/".$_SESSION['id']."/".$name.".gif"))
       {
  	    echo"Скриншот успешно загружен <br />";

  	   }
	   else
       {
       echo"Ошибка";
       }

     }
     echo"</div>";
     echo"<div class=\"ib\">";
     echo"<a href=\"add_files.php\">добавить еще</a><br />";
     echo"</div>";

    }
 }






       if (empty($action))
  {

    echo"<div class=\"ib\">";
     if (!empty($error))
    /* если есть ошибки, выводим сообщение об ошибках */
    {

      print "<P><span style=\"color: #008000;\">Во время добавления произошли
      следующие ошибки:</span></P>\n";
      print "<UL>\n";
      print "<span style=\"color: #FF0000;\">".$error."</span>";
      print "</UL>\n";
    }



       echo"
     Внимание к загрузки добускаются только файлы с раширением .jpg, .gif, .png, .nth, .thm, .hme, .sdt, .3gp, .avi, .jar!<br />
     Имя файла не должно содержать символы кроме латинских букв и цифр!<br />Вес файла не должен превышать 2Мb!<br />


    <form ENCTYPE=\"multipart/form-data\" action=\"add_files.php\" method=\"post\">
    <input type=hidden name=action value=post>
    <b>Файл:</b><span style=\"color: #FF0000;\">*</span></br>
    <input type=\"file\" name=\"file\" size=\"10\" maxlength=\"500\" value=\"\"><br />
        <b>Скриншот:</b></br>
    <input type=\"file\" name=\"screen\" size=\"10\" maxlength=\"500\" value=\"\"><br />
    <b>Описание:</b><br />
    <input type=\"text\" name=\"opis\" size=\"10\" maxlength=\"1000\" value=\"\" /><br />

    <input type=\"submit\" value=\"Добавить\">
    </form>
    <span style=\"color: #FF0000;\">*-обязательные поля для заполнения</span></br>";

 }
 echo"</div>";
 echo"<div class=\"ib\">";
  echo"<a href=\"mystr.php\">моя страница</a><br />";
  echo"<a href=\"../\">на главную</a><br />";
  echo"</div>";
}
else
{
echo"<div class=\"ib\">";
echo"Вы не имеете доступа! Вам необходимо <a href=\"../rega.php\">зарегестрироваться</a> или <a href=\"../enter.php\">авторизоваться </a><br />";
echo"<a href=\"../\">на главную</a><br />";
echo"</div>";
}
include "../foot.php";





?>
